Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CIAO_common.h File Reference

`#include "ace/config-all.h"`

Include dependency graph for CIAO_common.h:

This graph shows which files directly or indirectly include this file:

## Defines
#define | CIAO_REGISTER_VALUE_FACTORY(ORB, FACTORY, VALUETYPE)

## Detailed Description

This file collects common CIAO macro definitions.

Author:
  Nanbor Wang <nanbor@cs.wustl.edu>

## Define Documentation

#define CIAO_REGISTER_VALUE_FACTORY | ( | ORB,
|  | FACTORY,
|  | VALUETYPE |  | ) |

| Value:
    {\
            CORBA::ValueFactory factory = new FACTORY; \
            CORBA::ValueFactory prev_factory = \
              ORB->register_value_factory \
              (VALUETYPE::_tao_obv_static_repository_id (), \
               factory); \
            if (prev_factory) prev_factory->_remove_ref (); \
            factory->_remove_ref ();      }